Bug 398871 - firstboot initscript chkconfig not turned 'off' after first boot
firstboot initscript chkconfig not turned 'off' after first boot
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: firstboot (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Chris Lumens
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-25 18:16 EST by Karsten Wade
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-27 14:28:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karsten Wade 2007-11-25 18:16:21 EST
This is a small thing, but wouldn't be a good practice for firstboot to change
the entry to 'off' with chkconfig after completing first boot activities?

As a security practice, we tell sysadmins to know and tweak their services list
via chkconfig.  This setting stands out because it is named 'firstboot' and yet
remains on after that; it's a bit ironic.
Comment 1 Chris Lumens 2007-11-27 14:28:16 EST
It's intentional that the firstboot in f8 does not chkconfig itself off, as this
was a workaround for some corner case involving the timeout on the text
firstboot interface.  In f8 it's not doing anything other than checking if it
needs to run and then bailing out, so there's not really any harm.  Regardless,
the next release of firstboot that I am testing in Rawhide will chkconfig off
itself after running to completion so this bug will be fixed there.

Note You need to log in before you can comment on or make changes to this bug.